Subject: bug#65457: closed (Re: bug#65457: qtbase refers to python 3)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Aug 2023 19:14:02 +0000

Your bug report

#65457: qtbase refers to python 3

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65457: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65457
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65457: qtbase refers to python 3
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Tue, 22 Aug 2023 15:13:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> I failed to notice this in time for the merge, but it appears qtbase now
> keeps a reference to Python 3.10, which increases its size a bit.
>
> It should be removed.

Fixes, like so:

--8<---------------cut here---------------start------------->8---
modified   gnu/packages/qt.scm
@@ -634,6 +634,8 @@ (define-public qtbase
     (build-system cmake-build-system)
     (arguments
      (substitute-keyword-arguments (package-arguments qtbase-5)
+       ((#:disallowed-references _ #f)
+        (list python))
        ((#:configure-flags _ ''())
         `(let ((out (assoc-ref %outputs "out")))
            (list "-DQT_BUILD_TESTS=ON"
@@ -727,7 +729,8 @@ (define-public qtbase
             (add-after 'patch-source-shebangs 'do-not-capture-python
               (lambda _
                 (substitute* '("mkspecs/features/uikit/devices.py"
-                               "util/testrunner/qt-testrunner.py")
+                               "util/testrunner/qt-testrunner.py"
+                               "util/testrunner/sanitizer-testrunner.py")
                   (((which "python3"))
                    "/usr/bin/env python3"))))
             (replace 'configure
--8<---------------cut here---------------end--------------->8---

I'll push the fix to the telephony-team branch, since I had just removed
the qt-updates one.

-- 
Thanks,
Maxim

Subject: qtbase refers to python 3
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Tue, 22 Aug 2023 14:18:02 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I failed to notice this in time for the merge, but it appears qtbase now
keeps a reference to Python 3.10, which increases its size a bit.

It should be removed.

-- 
Thanks,
Maxim